# Structure basique d'un dossier web

Lorsque vous commencez un nouveau projet, aidez-vous de cette structure pour créer les fichiers, dossiers et liens nécessaires.

## Structure complète

::: details Afficher la structure

```
code-camp/
├── 00_sources/
│   ├── fonts/
│   │   └── arial.ttf
│   └── images/
│       └── unsplash-concert_crowd.png
├── 01_templates/
│   ├── index.fig
│   ├── index.sketch
│   └── index.xd
├── 02_export/
│   ├── images/
│   │   └── hero.jpg
│   └── icons/
│       └── icon-guitar.svg
└── 03_web/ // [!code focus]
    ├── assets/ // [!code focus]
    │   ├── fonts/ // [!code focus]
    │   │   └── arial.woff2 // [!code focus]
    │   ├── images/ // [!code focus]
    │   │   └── hero.jpg // [!code focus]
    │   └── svg/ // [!code focus]
    │       └── icon-guitar.svg // [!code focus]
    ├── css/ // [!code focus]
    │   ├── reset.css // [!code focus]
    │   └── style.css // [!code focus]
    ├── js/ // [!code focus]
    │   └── main.js // [!code focus]
    ├── favicon.ico // [!code focus]
    ├── index.html // [!code focus]
    └── robots.txt // [!code focus]
```

:::

## Base HTML

Exemple d'un fichier HTML contenant les liens vers les fichiers CSS, JS ainsi qu'une image.

<<< @/snippets/html/structure.html{8,9,16,20}
